Commit 3358b964 authored by Michael Catanzaro's avatar Michael Catanzaro

Prepare release 3.31.2

Also, update the totally-incorrect comment above the libversion string.
Clearly this isn't libtool versioning as the numbers we use here will be
literally used for the installed library.
parent 93188713
Pipeline #40811 passed with stage
in 7 minutes and 33 seconds
==============
Version 3.31.2
==============
- Translation updates
===============
Version 3.31.1
===============
......
project('gnome-desktop', 'c',
meson_version: '>= 0.47.0',
version: '3.31.1',
version: '3.31.2',
license: ['GPL2+', 'LGPL2+']
)
# Before making a release, the libversion string should be modified.
# The string follows the libtool versioning scheme, and it is of the
# form `C.A.R`.
# - If interfaces have been changed or added, but binary compatibility has
# been preserved, change to C+1.A+1.0
# - If binary compatibility has been broken (eg removed or changed interfaces)
# change to C+1.0.0
# - If the interface is the same as the previous version, change to C.A.R+1
libversion = '17.0.2'
#
# * Bump the first component if binary compatibility has been broken; or
# * Bump the second component if new APIs are added; or
# * Bump the third component otherwise.
#
# A lot easier than libtool, right?
libversion = '17.0.3'
soversion = libversion.split('.')[0]
gdk_pixbuf_req = '>= 2.36.5'
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment